#ifndef bqtDataPacketHH
#define bqtDataPacketHH

#include "connection.hh"
#include "protocols.hh"
#include "buffer.hh"

struct DataPacket
{
    enum PacketType
    {
        PacketTypeNothing=0,
        PacketTypeOpen,
        PacketTypeData,
        PacketTypeClose,
        PacketTypeListen
    };
    
    PacketType       Type;
    Connection       Peer;
    vector<Datatype> Data;
    unsigned         ConnID;
    
    DataPacket();
    void MakeData(const Datatype *Buf, unsigned Size);
};

#endif
