<?php
//TITLE=Bidirectional pipe for unix shells

$title = 'Bidirectional pipe for unix shells';
$progname = 'twinpipe';

$text = array(
   '1. Purpose' => "

Use twinpipe to start two processes from the unix shell,
so that the processes talk to each other via stdout and stdin.
<p>
For example, you could use it to start two ppp processes
which need to talk to each others (for VPN solutions).
<p>
Twinpipe starts the two processes (shell commands) and
makes sure that one's stdout is another's stdin.
<p>
Two versions are included: A C-language version and shellscript-version.
<br>
The shellscript-version uses a named pipe (fifo) to do the trick, and
the C-language version just creates two pipes and executes the programs.<br>
Example of usage: <code>twinpipe 'echo a;head -n 1 >&2' 'echo b;echo c'</code>
<p>
The package, when compiled, also builds a usleep shell utility, which
takes only one argument: microsecondcount, and expectedly sleeps the
wanted duration. Example: <code>usleep 200000</code> (sleeps 0.2s).

", '1. Copying' => "

twinpipe (the shellscript version and the C version)
have been written by Joel Yliluoma, a.k.a.
<a href=\"http://bisqwit.stc.cx/\">Bisqwit</a>,<br>
and is distributed under the following terms:
<blockquote><code>".
str_replace("\n",'<br>',htmlspecialchars(fread(fopen('/WWW/TINYFREELICENSE','r'),filesize('/WWW/TINYFREELICENSE')))).
"</code></blockquote>

");
include '/WWW/progdesc.php';
